---
Name: cluster-run-blueprint-on-each-member
Description: 'Schedules a different blueprint on each cluster member'
Documentation: |
  This is blueprint/trigger can used to run a blueprint on each member of a cluster.

  This is an event trigger that requires the following parameters.

  `cluster/for-all-blueprint` - defines the blueprint to run.
  `cluster/for-all-cluster` - defines the cluster to pull machines from.

  This is an event trigger that can also use the following parameters.

  `cluster/for-all-profile` - defines a profile to add to the WorkOrder for additional parameters.

  The firing the trigger through event must contain the blueprint and cluster.

  Applying the trigger/blueprint to a cluster requires the blueprint, but infers the cluster.

Meta:
  icon: "paper plane outline"
  color: "blue"
  title: RackN Task Library
Tasks:
  - blueprint-to-cluster-members